lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'splitapi-rb/version'

Gem::Specification.new do |spec|
  spec.name          = 'splitapi-rb'
  spec.version       = SplitApi::VERSION
  spec.authors       = ['Split Software']
  spec.email         = ['pato@split.io']

  spec.summary       = 'Ruby API wrapper around Split API'
  spec.description   = 'Provides simple interface to the Split Identify API'
  spec.homepage      = 'https://github.com/splitio/ruby-api'
  spec.license       = 'Apache-2.0'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'byebug', '~> 9'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'pry-byebug', '~> 3.4'
  spec.add_development_dependency 'webmock', '~> 2.3'

  spec.add_runtime_dependency 'json', '~> 1.8'
  spec.add_runtime_dependency 'rest-client', '~> 2.0'
end
